import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
export declare class _MTRBooleanStateConfigurationClusterSensorFaultEvent extends _NSObject {
    static alloc(): _MTRBooleanStateConfigurationClusterSensorFaultEvent;
    static new(): _MTRBooleanStateConfigurationClusterSensorFaultEvent;
    init(): _MTRBooleanStateConfigurationClusterSensorFaultEvent;
    sensorFault(): _NSNumber;
    setSensorFault$(value: _NSNumber): void;
}
export interface _MTRBooleanStateConfigurationClusterSensorFaultEvent extends _NSCopying {
}
